Keyword

Drop support for Joomla 1.5 and 2.5

  • shoulders
  • shoulders's Avatar Topic Author
  • Offline
  • Senior Member
More
5 months 1 week ago #174188 by shoulders
shoulders created the topic: Drop support for Joomla 1.5 and 2.5
Hi

I think that k2 should drop support for Joomla 1.5 and 3.5 for the following reasons:

1) No-one should be using j1.5 and j2.5 for security reasons.

2) j1.5 and j2.5 have not been officially supported for a long while

3) The extra code considersations might be holding back further development or at the very least slowing things down by having to consider multiple versions of joomla.

4) Joomla 4 requires PHP7 and J1.5 and J2.5 will not run on PHP7. In fact anything before J3.6.5 will not run on PHP7 becasue of session handling.

p.s. i can add this to github if required.

Thanks

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Away
  • Administrator
  • JoomlaWorks Support Team
More
5 months 1 week ago #174190 by Fotis
Fotis replied the topic: Drop support for Joomla 1.5 and 2.5
Replying...

1) It depends. We operate some very large J1.5 sites for many years now without an issue because we can control everything from the server setup all the way up to the actual content (with K2).

2) Sure, but the choice for no b/c upgrade path was bad. Thus why K2 still supports J1.5 all the way up to 3.x.

3) Not really. K2 has supported 3 versions already. Adding a fourth won't be an issue when the time comes.

4) That's a known limitation. Those who know what they're doing can still operate a secure server with PHP 5.6.

In fact with the latest K2 it has been easily shown that any extension can be backwards compatible (some still are) and look great at the same time. Plus, people who want to move their content to a newer Joomla release will have an easier upgrade path if they switch to K2 because unlike com_content, K2 shares the same DB structure across all Joomla versions. Which was not magic either way, just common sense.

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.

  • shoulders
  • shoulders's Avatar Topic Author
  • Offline
  • Senior Member
More
5 months 1 week ago #174191 by shoulders
shoulders replied the topic: Drop support for Joomla 1.5 and 2.5
I can see your logic and it makes sense for the project.

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Away
  • Administrator
  • JoomlaWorks Support Team
More
5 months 1 week ago #174192 by Fotis
Fotis replied the topic: Drop support for Joomla 1.5 and 2.5
Thank you.

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.


Powered by Kunena Forum